Pave Bank
Accounts/Subaccounts

Get Sub Account

Retrieves the sub account for the given account ID and sub account ID.

GET
/v1/accounts/{accountID}/subaccounts/{subAccountID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

accountIDRequiredstring
subAccountIDRequiredstring

Response Body

Success response

account_typeRequiredstring
assetRequiredstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

balance_availableRequiredstring
balance_totalRequiredstring
created_atRequiredstring
Format: "date-time"
ibanRequiredstring
idRequiredstring
nameRequiredstring
parent_account_idRequiredstring
curl -X GET "https://developer-api-staging.pavebank.dev/v1/accounts/string/subaccounts/string" \
  -H "Authorization: Bearer <token>"
{
  "account_type": "string",
  "asset": "string",
  "balance_available": "string",
  "balance_total": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "iban": "string",
  "id": "string",
  "name": "string",
  "parent_account_id": "string"
}